{
	"$schema": "http://json-schema.org/draft-04/schema#",
	"title": "Device Information",
	"description": "Details about the device used to acquire the point cloud",
	"type": "object",
	"properties": {
		"device_name": {
			"description": "Optional device name (e.g. 'Scanner 1' for multi-scanner systems)",
			"type": "string"
		},
		"device_type": {
			"description": "Device type identifier (e.g. VZ-400i)",
			"type": "string"
		},
		"device_build": {
			"description": "Device build variant",
			"type": "string"
		},
		"serial_number": {
			"description": "Device serial number (e.g. S2221234)",
			"type": "string"
		},
		"channel_number": {
			"description": "Laser channel number (not defined or 0: single channel device)",
			"type": "integer",
			"minimum": 0,
			"exclusiveMinimum": false
		},
		"channel_text": {
			"description": "Optional channel description (e.g. 'Green Channel' for multi-channel devices)",
			"type": "string"
		}
	},
	"required": [
		"device_type",
		"serial_number"
	]
}